
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>菜鸟学自动化测试（一）----selenium IDE / iVAN</title>

    <meta name="description" content="菜鸟学自动化测试（一）----selenium IDE ----//前言     对于,我们做测试的新手来说,自动化测试一直是一个比较高级的领域,当然是相对于手工测试来说.最近,对自动化测试产生了兴趣.不,具体点应该是对 selenium工具产生了兴趣.为什么不是QTP呢,之前,QTP也有学习,后来还买了本&lt;QTP自动化测试进阶指南&gt;,看了几天,不知为什么看不下 去.嗯!我一直偏爱于开源的技术和工具.最早用LR做性能测试,后来发现了JMeter那个小工具后,基本上能用JMeter解决的问题,就不在用LR 了.开源的东西好处多多,当然了不足 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">菜鸟学自动化测试（一）----selenium IDE</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre><strong>----//前言</strong></pre>
<p>   <br />
对于，我们做测试的新手来说，自动化测试一直是一个比较高级的领域，当然是相对于手工测试来说。最近，对自动化测试产生了兴趣。不，具体点应该是对<br />
selenium工具产生了兴趣。为什么不是QTP呢，之前，QTP也有学习，后来还买了本《QTP自动化测试进阶指南》，看了几天，不知为什么看不下<br />
去。嗯！我一直偏爱于开源的技术和工具。最早用LR做性能测试，后来发现了JMeter那个小工具后，基本上能用JMeter解决的问题，就不在用LR<br />
了。开源的东西好处多多，当然了不足也多多。这里就不啰嗦了。呵呵。</p>
<p>   <br />
下面说说selenium吧！想学一样东西，找相关学习资料是第一步。说说我觉得比较好的资料：《selenium私房菜系列》、selenium官方文<br />
档、《selenium 1.0 testing tools 》。不过，我还是买了一本书，我把在当当网的评论贴过来。</p>
<p>"本来想买，后来听朋友说，内容行间距很大，有凑页数的意思，前面部分是在翻译<br />
（selenium）官网的文档，包括后面也?有真正写出作者公司的实战经验。打开一看基本和朋友说的一样。为什么后来又要买了，有几分无奈在里面。<br />
selenium 的中文资料并不多，网上的都是零散的皮毛，本人英语很差，所以，英文的资料看起来太吃力。《selenium 1.0 testing<br />
 tools 》其实是一本很好的书，可惜没有中文的，其实可以慢慢啃，但selenium 2.0都出来了，selenium RC<br />
已经被selinum server替代，又加了很多新技术，跟不上啊。所以，只能选了这本书，希望对我有所帮助。"<br />
下面我的笔记也算是基于《零成本实现web自动化测试---基于seleinum与Bromine》这本书的。</p>
<pre><strong>----//认识IDE面板</strong></pre>
<p>关于selenium IDE的安装，请参考我的上一篇文章《<a href="http://www.cnblogs.com/fnng/archive/2011/10/19/2217506.html" rel="external nofollow noreferrer">selenium RC 配置</a>》</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyMzIyMzUyMDMwLnBuZw==.jpg"></p>
<p>为了方便简洁，我们就按照上图的数字标记介绍：</p>
<p><strong>1</strong>。<strong>文件</strong>：创建、打开和保存测试案例和测试案例集。<strong>编辑</strong>：复制、粘贴、删除、撤销和选择测试案例中的所有命令。<strong>Options</strong> : 用于设置seleniunm IDE。</p>
<p><strong>2</strong>。用来填写被测网站的地址。</p>
<p><strong>3</strong>。速度控制：控制案例的运行速度。</p>
<p><strong>4</strong>。运行所有：运行一个测试案例集中的所有案例。</p>
<p><strong>5</strong>。运行：运行当前选定的测试案例。</p>
<p><strong>6</strong>。暂停/恢复：暂停和恢复测试案例执行。</p>
<p><strong>7</strong>。单步：可以运行一个案例中的一行命令。</p>
<p><strong>8</strong>。录制：点击之后，开始记录你对浏览器的操作。</p>
<p><strong>9</strong>。案例集列表。</p>
<p><strong>10</strong>。测试脚本；table标签：用表格形式展现命令及参数。source标签：用原始方式展现，默认是HTML语言格式，也可以用其他语言展示。</p>
<p><strong>11</strong>。查看脚本运行通过/失败的个数。</p>
<p><strong>12</strong>。当选中前命令对应参数。</p>
<p><strong>13</strong>。日志/参考/UI元素/Rollup</p>
<p>日志：当你运行测试时，错误和信息将会自定显示。</p>
<p>参考：当在表格中输入和编辑selenese命令时，面板中会显示对应的参考文档。</p>
<p>UI元素/Rollup:参考帮助菜单中的，UI-Element Documentation。</p>
<p> </p>
<pre><strong>----//编辑命令</strong></pre>
<p>selenium为我们录制的脚本不是100%符合我们的需求的，所以，编辑录制的脚本是必不可少的工作。</p>
<p><strong>1.  编辑一行命令或注释。</strong></p>
<p> 在Table标签下选中某一行命令，命令由command、Target、value三部分组成。可以对这三部分内容那进行编辑。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyMzIzMDA0Mzc5LnBuZw==.jpg"></p>
<p> <strong>2.  插入命令。</strong></p>
<p>  在某一条命令上右击，选择“insert new command”命令，就可以插入一个空白，然后对空白行进程编辑。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyMzIzMjQxMzYyLnBuZw==.jpg"></p>
<p> <strong> 3. 插入注解</strong></p>
<p>   以上面同样的方式右击选择“insert new comment”命令插入注解空白行，本行内容不被执行，可以帮助我们更好的理解脚本，插入的内容以紫色字体显示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyMzIzMzEyNjczLnBuZw==.jpg"></p>
<p> <strong>4. 移动命令或注解</strong></p>
<p>  有时我们需要移动某行命令的顺序，我们只需要左击鼠标拖动到相应的位置即可。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyMzIzMjUzMDcwLnBuZw==.jpg"></p>
<p> </p>
<pre><strong>----//录制我们的第一个脚本</strong></pre>
<p>我们的录制流程：</p>
<p>用火狐浏览器，打开一个新的标签-----输入谷歌网址（<a href="http://www.google.com.hk/" rel="external nofollow noreferrer">http://www.google.com.hk/</a>）----在搜索框输入：selenium----点击“google搜索”按钮。 </p>
<p>注：注意开启和关闭selenium IDE面板上的红色圆形的录制按钮。</p>
<p>录制的脚本：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyNDIyMDkwMDk1LnBuZw==.jpg"></p>
<p> </p>
<pre><strong>----//调试脚本</strong></pre>
<p><strong>1. 设置断点。</strong></p>
<p>  要设置断点，先选择一行命令，点击鼠标右键，在下拉菜单中选择“Toggle Breakpoint”命令，点击“运行”按钮，脚本会运行到断点处停止。用过myecilpse的debug功能来调试脚本的同学懂的！</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyNDIyMTgyODg0LnBuZw==.jpg"></p>
<p><strong>2. 通过页面源代码来调试脚本</strong></p>
<p>  很多情况下，调试自动化测试案例都离不开查看页面源代码，我们可以借助firefox的firebug工具，关于firebug的安装（浏览器菜单栏---工具---查看组件---搜索firebug---安装并重启浏览器即可）。</p>
<p>如：我们不确定或想获得谷歌搜索按钮的属性。在按钮上右击---查看元素</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyNDIyMzI0Mzc5LnBuZw==.jpg"></p>
<p>在浏览器下方打开的firebug工具里面，就可以查看按钮代码了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyNDIyMzYxMTYxLnBuZw==.jpg"></p>
<p> </p>
<p><strong>3. 定位辅助</strong></p>
<p><strong></strong>  当selenium IDE录制脚本时，它会存储额外的信息，支持用户挑选其他格式的定位器来代替默认格式的定位器，这种特殊性对于学习定位器很有用。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyNDIyNDczOTMzLnBuZw==.jpg"></p>
<p>我们可以选择其他的命令来代替“name=btnG” 命令，当然，脚本依然是可以运行的。</p>
<p>关于 selenium IDE一些基础的东西就将这些。下一篇内容在准备中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:51:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>菜鸟学自动化测试（一）----selenium IDE的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDe646b.html" rel="bookmark">菜鸟学自动化测试（二）----selenium IDE 功能扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过上一节的学习,相信我们已经会selnium IDE的基本使用了,为了使selenium 更强大,其实selenium 还提供了良好的扩展能力. ----//用户扩展 用户扩展就是使用javaScript文件来创建定制化特性,添加新功能,通常情况下这种扩展就是定制化命令,但扩展并不仅限于命令. 这里有一些列的扩展:http://wiki.openqa.org/display/SEL/Contributed+User-Extensions   1.下面我们利用扩展的方式,产生一个用户随机数字 为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0gNWp.html" rel="bookmark">菜鸟学自动化测试（七）----selenium RC 工作原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于selenium RC环境搭建(基于java语言),我在系统的学习selenium之前就已经做了,并在我的这个系列的文章中可以找到.那是照着一位前辈的视频操作完成的,我详细的记录的操作步骤. 在这里我们一起了解一下selenium RC的工作原理.   简介 那么之前学习的了selenium IDE与selenium命令,那么是不是我们用selenium IDE就可以完成我们的所有自动化测试工作了呢?No !Selenium IDE 没我们认为的那么强大,在实际的项目中会有各种复杂的操作,如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPy4Op.html" rel="bookmark">菜鸟学自动化测试（六）----selenium 命令之文字范本匹配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文字范本匹配 =======================================  文字范本匹配其实可以理解为通配符.我想大家都用过windows 系统自带的搜索功能. *   星号代表一个或多个字符. ?  问号代表一个字符. 范本也是经常被selenes命令使用的参数:范本允许你使用特殊字符来描述期望值,而不是准确的说明期望值. selenium中需要范本的命令包括: verifyTextPresent.verifyTitle.verifyAlert.assertConfirma			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEKBlM.html" rel="bookmark">菜鸟学自动化测试（八）----selenium 2&period;0环境搭建（基于maven）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前我就讲过一种方试来搭建selenium rc 的环境搭建,那个文章是基于selenium RC 1.0的的方式,目前官网已经不提供1.0的下载了,我所提供的下载链接是CSDN上的. 其实,如果大家熟悉maven的话,selenium RC将变成易常简单,当然,我的操作还是基于java语言阵营的. 前提:你要有maven环境.关于maven环境的搭建,请参考本博客的关于maven的文章.左侧导航栏有maven环境搭建的相关文章.   第一步: Cmd打开命令提示符号,创建一个maven项目,命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rXO3z.html" rel="bookmark">菜鸟学自动化测试（九）----WebDirver</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于什么是WebDirver,上一节做了简单的描述,环境也在上一章中搭建完成. 下面我们拷贝了官网提供的一个实例.让其在我们的eclipse中运行. Selenium WebDirver 代码如下:   package MySel20Proj; import org.openqa.selenium.By; import org.openqa.selenium.WebDriver; import org.openqa.selenium.WebElement; import org.openqa.s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94vrgb.html" rel="bookmark">菜鸟学自动化测试（五）-----selenium命令之定位页面元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定位页面元素 对于很多selenium命令,target域是必须的.Target在web页面范围内识别UI元素,它使用locatorType=location的格式.在很多情况下,locatorType可以省略,下面举例方式来描述各种类型的locatorType. 假如,有如下一段HTML代码: html&gt; &lt;body&gt; &lt;form id= &quot;loginForm&quot; &gt; &lt;input name= &quot;username&quot; type= &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrv7x4M.html" rel="bookmark">菜鸟学自动化测试（三）----selenium 命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于,selenium 命令这一部分,为了便于像我一样的菜鸟理解,我采用通过例子讲命令的方式.边学边总结吧!相互学习.呵呵. 菜鸟Selenium 命令通常被称为selenese,有一系列运行测试案例所需的命令构成.   ----// Actions   ----// Actions   Actions描述了用户所会作出的操作. Action 有两种形式: action和actionAndWait, action会立即执行,而actionAndWait会假设需要较长时间才能得到该action的相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVmm8b.html" rel="bookmark">菜鸟学自动化测试（四）----selenium 命令之验证页面元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据上一节计划,这里我们来学习一下如何验证页面元素. ----//验证页面元素 验证页面上的UI元素,是你在自动化测试案例过程中最常用到的特性.Selenese通过各种方式验证UI元素. 举例,你是否正在测试一下情况: (1)一个UI元素存在于页面上某个位置: (2)特定文本存在于页面上某个位置: (3)特定文本存在于页面上指定位置: 如果你要测试文本标题,那么文本内容和它所在的页面顶部位置,测试案例都需要关心.如果你要测试主页上的某个图片,但是开发人员经常改变图片所在的位置,那么你只要测试特定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB26QNb.html" rel="bookmark">自动化测试学习（一） selenium IDE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于,我们做测试的新手来说,自动化测试一直是一个比较高级的领域,当然是相对于手工测试来说.最近,对自动化测试产生了兴趣.不,具体点应该是对selenium工具产生了兴趣.为什么不是QTP呢,之前,QTP也有学习,后来还买了本&lt;QTP自动化测试进阶指南&gt;,看了几天,不知为什么看不下去.嗯!我一直偏爱于开源的技术和工具.最早用LR做性能测试,后来发现了JMeter那个小工具后,基本上能用JMeter解决的问题,就不在用LR了.开源的东西好处多多,当然了不足也多多.这里就不啰嗦了.呵呵. 下面说说s			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boR8Xz.html" rel="bookmark" class="title">linux下分割和重组文件</a>
					<div>
						    linux shell命令里的split和cat命令可以轻松完成这两个功能,举个例子来说,比如一个1GB大小的文件foo.zip,以100M为块分割:     分割: split -b 100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkmGjb.html" rel="bookmark" class="title">写CSS文件的流程和CSS代码顺序</a>
					<div>
						文章简介:css制作流程及标准. css制作流程及标准 (一)制作流程:1,创建文件(文件管理及命名)2,与html文档建立关系 注意点:    1)不建议使用:内联样式和内嵌样式         原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEe5Zb.html" rel="bookmark" class="title">JSP由浅入深&lpar;6&rpar;-- JSP声明</a>
					<div>
						js 现在你所编写的JSP要变成一个类的定义.所有你编写的scriptlets要放置到这个类的一个方法中.同样,你可以增加变量和方法声明到这个类中.当然你也可以从scriptlets和表达式中使用这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8P19p.html" rel="bookmark" class="title">新手站长知识：Seo工具的使用详解</a>
					<div>
						大家好,我是酿蜜.上周由于友情链接网站的降权多多少少对自己的网站有一定的影响,所以大家在换友情链接的时候一定要谨慎.使用好seo查询工具,每天查询我们的网站及外链情况.下面详细介绍下seo工具的使用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL1oLz.html" rel="bookmark" class="title">F&period;I&period;S&period;T电商圈：博客的作用是不是真的鸡肋了</a>
					<div>
						博客怎么做,一直很困扰大家,从去年一段时间各大博客短时间屏蔽百度开始,博客到现在一直很难做.很多人都觉得博客的权重降低了,觉得博客没有做的加值了.但是,博客要不要做呢?我在这里可以和大家说,博客可以做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbExwJz.html" rel="bookmark" class="title">让你的VB程序支持多国语言的切换</a>
					<div>
						程序 以前做过一个vb的小项目,客户需要软件同时能够支持中文和英文,为此写了一个自动语言切换的模块来用,不敢独享,拿来给大家参考一下,如果你有什么改进也可以写信给我..mailto:tonyki@ci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6qnDz.html" rel="bookmark" class="title">解析新AV终结者对抗杀毒软件技术机制</a>
					<div>
						近期截获最新的AV终结者,该变种采用ring3级hook技术直接删除杀毒软件,劫持众多网站,阻止杀毒软件更新.专杀程序紧张制作中,测试通过会及时发布,老版本AV终结者专杀运行后会自动升级. 以下是详细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7XwDb.html" rel="bookmark" class="title">UVa 113 &sol; POJ 2109 Power of Cryptography</a>
					<div>
						使用double处理大整数&amp;泰勒公式与误差分析 113 - Power of Cryptography Time limit: 3.000 seconds http://uva.onlinej ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Nxlp.html" rel="bookmark" class="title">无线路由器怎么设置防火墙过滤</a>
					<div>
						无线路由器的防火墙过滤主要有IP地址过滤.MAC地址过滤.端口过滤.域名过滤和网址过滤等.无线路由器怎么设置防火墙过滤呢? 在无线路由器的设置页面,点击&quot;过滤设置&quot;,进入防火墙过滤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8md8p.html" rel="bookmark" class="title">LAPTOP评选十大最佳超极本</a>
					<div>
						  超极本是目前笔记本电脑产品中最受瞩目的一个类型,超轻薄便于携带且可以2秒内从休眠模式快速恢复到使用状态,使得移动办公变得更加轻松.当然,绝大多数的超极本还不能摆脱苹果Macbook Air的影子, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badnKPz.html" rel="bookmark" class="title">91助手越狱后DFU模式怎么退出</a>
					<div>
						  91助手越狱后DFU模式怎么退出?很多使用91助手进行越狱的用户都发现了,大部分情况下,手机会先进入DFU模式,然后再通过越狱工具操作.那么进入DFU模式后又该如何退出DFU模式呢?有时候如果只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EKmdM.html" rel="bookmark" class="title">CFindReplaceDialog如何在MFC对话框的程序中使用啊</a>
					<div>
						问题描述 CFindReplaceDialog如何在MFC对话框的程序中使用啊 看了几篇文章代码,都实现不了,有没有谁做过这个功能的介绍下CFindReplaceDialog的详细用法? 解决方案 p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lNGrb.html" rel="bookmark" class="title">sqlite-SQLite里的日期字段的整数代表什么？</a>
					<div>
						问题描述 SQLite里的日期字段的整数代表什么? 弱弱地问一个很菜的问题. 我用SQLite Editor查看手机自带的打电话的应用&quot;com.android.phone&quot;, 在c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR4R0b.html" rel="bookmark" class="title">Spring Bean注册方式小结</a>
					<div>
						IOC容器 Spring的核心是一个IOC容器,管理着我们向容器注册的所有bean.下面我们来看下两种向容器注册bean的方式, 通过BeanDefinitionReader读取Spring Bean ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba76vqp.html" rel="bookmark" class="title">91-关于背景图片&lpar;超级简单&rpar;&period;&period;&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 关于背景图片(超级简单)......... 问题描述:有一张图片1300 x 200px的图片用做网页背景,怎么样让图片铺满网页?而不是这样呢? 补充:比方网页像素是1366px 要让130 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY59ylM.html" rel="bookmark" class="title">可攻陷所有WiFi网络！KRACK 漏洞发现者回答纪实</a>
					<div>
						如果你能连接到的 Wi-Fi 一夜之间不安全了,通过自家路由器的 Wi-Fi 上网冲浪却陷入勒索软件和其他恶意软件的包围中,一浪冲到沙滩上-- 这并非是夸张,就在今天,比利时安全研究人员 Mathy  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBDVWM.html" rel="bookmark" class="title">regini dos下更改注册表权限的工具&lowbar;DOS&sol;BAT</a>
					<div>
						这个玩意主要用途是 在cmd下 修改注册表 以及 注册表权限! 用法研究了一晚上 弄出来了 ,微软上写的 根本不能用啊 郁闷.. 使用方法 C:\&gt;regini regset.ini 就行啦 r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JXWJz.html" rel="bookmark" class="title">怎么在C&num; Silverlight项目MainPage&period;xaml&period;cs中写入文件保存到本地</a>
					<div>
						问题描述 怎么在C#Silverlight项目MainPage.xaml.cs中写入文件保存到本地,保存到本地的路径是绝对路径(如保存到C:aaa.txt),怎么写?能让我在winform.cs中打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q8nnp.html" rel="bookmark" class="title">PHP中设置时区方法小结&lowbar;php技巧</a>
					<div>
						找到原因后,在网上搜索到了一些关于PHP的时区设置方法: 1.修改php.ini,在php.ini中找到data.timezone =去掉它前面的;号,然后设置data.timezone = &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEOaOp.html" rel="bookmark" class="title">Android实现滑动加载数据的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android实现滑动加载数据的方法.分享给大家供大家参考.具体实现方法如下: EndLessActivity.java如下: package com.ScrollListView; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK8OjM.html" rel="bookmark" class="title">JS弹出层单纯的绝对定位居中示例代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: function doThis() { var a = document.getElementById(&quot;addYear&quot;); a.style.left=(d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7VKqM.html" rel="bookmark" class="title">系统-window7在安装一个软件时出错（rundll），如何解决？</a>
					<div>
						问题描述 window7在安装一个软件时出错(rundll),如何解决? window7在安装一个软件时出错(rundll:启动C:program时出现问题,找不到指定的模块),我的win7是正版系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2jwjz.html" rel="bookmark" class="title">在CentOS 7上给一个网卡分配多个IP地址</a>
					<div>
						有时,你也许想要给一个网卡多个地址.你该怎么做呢?另外买一个网卡来分配地址?在小型网络中其实不用这么做.我们现在可以在CentOS/RHEL 7中给一个网卡分配多个IP地址.想知道怎么做么?好的,跟随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YrNQz.html" rel="bookmark" class="title">《Exchange Server 2010 SP1&sol;SP2管理实践》&mdash;&mdash;2&period;4 部署外部网络环境</a>
					<div>
						2.4 部署外部网络环境 外部网络的概念是相对内部网络而言的,外部网络主要用来接收和回复内部网络发来的电子邮件. 2.4.1 外部网络服务器虚拟机说明外部网络部署1台运行Windows Server  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvVexM.html" rel="bookmark" class="title">阿里巴巴计划今日中午推出1688&period;com批发网</a>
					<div>
						3月8日消息,阿里巴巴选择在妇女节的中午12点,正式向外推出其网络批发业务1688.com.目前,1688的页面已经已基本构建完成,将涉及服装服饰和小商品批发.产品加工.创业加盟.日用百货.机电设备等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd4RDM.html" rel="bookmark" class="title">使用GSON库转换Java对象为JSON对象的进阶实例详解&lowbar;java</a>
					<div>
						对List和map等结构的常用转换操作基本上可以满足我们处理的绝大多数需求,但有时项目中对json有特殊的格式规定.比如下面的json串解析: [{&quot;tableName&quot;:&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YOjLb.html" rel="bookmark" class="title">100万被解密的Gmail和雅虎账户在暗网出售</a>
					<div>
						每个口令都遭解密,用户安全受到极大威胁. 暗网市场就是能买到各种非法物品的集市,从毒品到假证到武器,应有尽有.最近,该市场成为了黑客和网络罪犯们出售所盗数据库的最佳场所,互联网巨头纷纷中招. 雅虎账户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6q3Vob.html" rel="bookmark" class="title">关闭网页触发onunload事件</a>
					<div>
						问题描述 刚写了一个关闭网页时触发一个onunload事件功能做一些处理,但是该onunload事件在ie8中无法触发,在火狐和谷哥浏览器都可以触发,请帮看看怎么回事,代码如下:1.js代码:&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK33kab.html" rel="bookmark" class="title">苹果AppStore逾六成游戏收入由免费游戏创造</a>
					<div>
						App Store免费游戏收入远超付费游戏 新浪科技讯 北京时间7月9日凌晨消息,手机应用研究机构Flurry的数据显示,苹果应用商店App Store中的免费游戏带来的收入已占据游戏总营收的65%, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3gDqb.html" rel="bookmark" class="title">中国城乡商品流通渠道将迎来变革</a>
					<div>
						城乡消费市场潜力巨大 随着http://www.aliyun.com/zixun/aggregation/18812.html&quot;&gt;中国城市化的建设,越来越多的农村人口转为城市人口,相应 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
